curl --request GET \
--url https://api.paytsoftware.com/v1/notifications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paytsoftware.com/v1/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paytsoftware.com/v1/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notification_type": "<string>",
"resource_type": "<string>",
"acknowledged_by_user": {
"id": "<string>",
"name": "<string>",
"email_address": "<string>"
},
"details": {
"bounce_reason": "<string>"
},
"administration_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credit_case_id": "<string>",
"debtor_id": "<string>",
"invoice_id": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Get administration notification by id
Get administration notification by id
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Path Parameters
Notification identifier
Query Parameters
Administration identifier
JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})
Response
Notification
CustomerApi_V1_NotificationEntity model
Notification type (see the Notification model).
Resource type the notification is about (administration|credit_case|debtor|invoice)
User who acknowledged the notification
Show child attributes
Show child attributes
Notification details
Show child attributes
Show child attributes
Owning administration identifier
Unique identifier
Timestamp at which the notification was created
Associated credit_case identifier
Associated debtor identifier
Associated invoice identifier
Timestamp at which the notification was acknowledged
Timestamp at which the notification was last updated
Was this page helpful?